# H225_LocationConfirm Class Reference

`#include <h225.h>`

Inheritance diagram for H225_LocationConfirm:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_destinationInfo, e_destExtraCallInfo, e_destinationType, e_remoteExtensionAddress, e_alternateEndpoints, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_alternateTransportAddresses, e_supportedProtocols, e_multipleCalls, e_featureSet, e_genericData, e_circuitInfo, e_serviceControl, e_modifiedSrcInfo, e_bandWidth }

## Public Member Functions

| H225_LocationConfirm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_TransportAddress | m_callSignalAddress
H225_TransportAddress | m_rasAddress
H225_NonStandardParameter | m_nonStandardData
H225_ArrayOf_AliasAddress | m_destinationInfo
H225_ArrayOf_AliasAddress | m_destExtraCallInfo
H225_EndpointType | m_destinationType
H225_ArrayOf_AliasAddress | m_remoteExtensionAddress
H225_ArrayOf_Endpoint | m_alternateEndpoints
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_AlternateTransportAddresses | m_alternateTransportAddresses
H225_ArrayOf_SupportedProtocols | m_supportedProtocols
PASN_Boolean | m_multipleCalls
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
H225_CircuitInfo | m_circuitInfo
H225_ArrayOf_ServiceControlSession | m_serviceControl
H225_ArrayOf_AliasAddress | m_modifiedSrcInfo
H225_BandWidth | m_bandWidth

## Member Enumeration Documentation

enum H225_LocationConfirm::OptionalFields

Enumerator:

  e_nonStandardData |
  e_destinationInfo |
  e_destExtraCallInfo |
  e_destinationType |
  e_remoteExtensionAddress |
  e_alternateEndpoints |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_alternateTransportAddresses |
  e_supportedProtocols |
  e_multipleCalls |
  e_featureSet |
  e_genericData |
  e_circuitInfo |
  e_serviceControl |
  e_modifiedSrcInfo |
  e_bandWidth |

## Constructor & Destructor Documentation

H225_LocationConfirm::H225_LocationConfirm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_LocationConfirm::GetDataLength | ( |  | ) | const

PBoolean H225_LocationConfirm::Decode | ( | PASN_Stream & | strm | ) |

void H225_LocationConfirm::Encode | ( | PASN_Stream & | strm | ) | const

void H225_LocationConfirm::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_LocationConfirm::Compare | ( | const PObject & | obj | ) | const

PObject* H225_LocationConfirm::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_LocationConfirm::m_requestSeqNum

H225_TransportAddress H225_LocationConfirm::m_callSignalAddress

H225_TransportAddress H225_LocationConfirm::m_rasAddress

H225_NonStandardParameter H225_LocationConfirm::m_nonStandardData

H225_ArrayOf_AliasAddress H225_LocationConfirm::m_destinationInfo

H225_ArrayOf_AliasAddress H225_LocationConfirm::m_destExtraCallInfo

H225_EndpointType H225_LocationConfirm::m_destinationType

H225_ArrayOf_AliasAddress H225_LocationConfirm::m_remoteExtensionAddress

H225_ArrayOf_Endpoint H225_LocationConfirm::m_alternateEndpoints

H225_ArrayOf_ClearToken H225_LocationConfirm::m_tokens

H225_ArrayOf_CryptoH323Token H225_LocationConfirm::m_cryptoTokens

H225_ICV H225_LocationConfirm::m_integrityCheckValue

H225_AlternateTransportAddresses H225_LocationConfirm::m_alternateTransportAddresses

H225_ArrayOf_SupportedProtocols H225_LocationConfirm::m_supportedProtocols

PASN_Boolean H225_LocationConfirm::m_multipleCalls

H225_FeatureSet H225_LocationConfirm::m_featureSet

H225_ArrayOf_GenericData H225_LocationConfirm::m_genericData

H225_CircuitInfo H225_LocationConfirm::m_circuitInfo

H225_ArrayOf_ServiceControlSession H225_LocationConfirm::m_serviceControl

H225_ArrayOf_AliasAddress H225_LocationConfirm::m_modifiedSrcInfo

H225_BandWidth H225_LocationConfirm::m_bandWidth

The documentation for this class was generated from the following file:

- h225.h